Package skyview.data

# Class ThresholdMedianSmoother

java.lang.Object
skyview.process.Processor
skyview.data.ThresholdMedianSmoother

All Implemented Interfaces:
  `Serializable`, `Component`

public class ThresholdMedianSmoother extends Processor
Do a median smoothing for all pixels that differ from the median by more then the threshold Settings used: MedianSmoother=size[,threshold] Size gives the size of the box in which the median is computed This must be an odd integer >= 3 Threshold is the change beyond which the pixel will be smoothed Assumed to be 0 if omitted which means that all pixels are smoothed. RatioThreshold If specified then the threshold will be computed as a ratio of the current and median values. E.g., if specified and threshold is 2 then Pixels <0.5 or >2.0 times the median value will be smoothed. SingleSided=(+|-) If specified should have the single character values + or - which indicates that only only values greater than or less than the median will be considered for smoothing.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThresholdMedianSmoother()`
Parse the settings and set things up to do the processing

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Indicate what processing is to be done.
`String`
`getName()`
Get the name of this component.
`void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Do the median smoothing -- possibly with thresholding.
`void`
`updateHeader(nom.tam.fits.Header header)`
Add history records to the FITS header
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThresholdMedianSmoother

public ThresholdMedianSmoother()
Parse the settings and set things up to do the processing

## Method Details

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### process

public void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Do the median smoothing -- possibly with thresholding.

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - Input images (not used)
  `output` - Output image
  `source` - Mapping from input to output (not used)
  `samp` - Sampler (not used)
  `dsamp` - Depth sampler (not used)

### updateHeader

public void updateHeader(nom.tam.fits.Header header)
Add history records to the FITS header

Specified by:
  `updateHeader` in class `Processor`

### getDescription

public String getDescription()
Indicate what processing is to be done.

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.